@import "mixins";

@font-face {
	font-family: 'Open Sans Light';
	src: url('font/open-sans/OpenSans-Light-webfont.woff') format('woff'),
	     url('font/open-sans/OpenSans-Light-webfont.ttf') format('truetype');
	font-weight: lighter;
	font-style: normal;
}

@font-face {
	font-family: 'Open Sans';
	src: url('font/open-sans/OpenSans-Regular-webfont.woff') format('woff'),
	     url('font/open-sans/OpenSans-Regular-webfont.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Open Sans Semibold';
	src: url('font/open-sans/OpenSans-Semibold-webfont.woff') format('woff'),
	     url('font/open-sans/OpenSans-Semibold-webfont.ttf') format('truetype');
	font-weight: bold;
	font-style: normal;
}

@font-face {
	font-family: 'Open Sans Bold';
	src: url('font/open-sans/OpenSans-Bold-webfont.woff') format('woff'),
	     url('font/open-sans/OpenSans-Bold-webfont.ttf') format('truetype');
	font-weight: bolder;
	font-style: normal;
}

/* ECO bright yellow: bright, dark, light */
$focus-color: #F4D600;
$focus-dark-color: #EAAF31;
$focus-light-color: #FAF090;

/* Grey tones: lighter, light, normal, dark */
$grey-lighter-color: #F9F9F9;
$grey-light-color: #999999;
$grey-color: #666666;
$grey-dark-color: #333333;

/* Fonts variations: light, regular, semibold, bold */
$font-light: 'Open Sans Light', Helvetica, Arial, Verdana, sans-serif;
$font-regular: 'Open Sans', Helvetica, Arial, Verdana, sans-serif;
$font-semibold: 'Open Sans Semibold', Helvetica, Arial, Verdana, sans-serif;
$font-bold: 'Open Sans Bold', Helvetica, Arial, Verdana, sans-serif;

/* ---------- Body / Container styles ---------- */
html, body {
/*     height: 100%; */
}

html {
	height: 100%;
}

body {
	min-height: 100%;
	background: white;
}

#banner {
	margin-bottom: 10px;
	
	.logo {
		max-width: 100%;
	}
}

/* ---------- AUI styles ---------- */
.aui {
	
	/* ---------- Base styles ---------- */
	body {
		font-family: $font-regular;
		font-size: 13px;
		font-weight: normal;
		color: black;
		line-height: 15px;
	}
	
	h1 {
		font-size: 38px;
		font-family: $font-light;
		font-weight: 200;
	}
		
	h2 {
		font-size: 26px;
		font-family: $font-light;
		font-weight: 200;
	}
		
	h3 {
		font-size: 18px;
		font-family: $font-regular;
		font-weight: 400;
	}
	
	a {
		color: $focus-dark-color;
		
		&:hover {
			color: $focus-color;
			text-decoration: none;
		}
	}
	
	.no-margin {
		margin: 0px !important;
	}
	
	.no-margin-top {
		margin-top: 0px !important;
	}
	
	.no-margin-left {
		margin-left: 0px !important;
	}
	
	.no-margin-right {
		margin-right: 0px !important;
	}
	
	.no-margin-bottom {
		margin-bottom: 0px !important;
	}
	
	/* ---------- Forms styles ---------- */
	.btn {
		padding: 4px 20px;
		border: 1px solid $focus-color;
		background: $grey-lighter-color;
		color: $grey-dark-color;
		font-size: 13px;
		font-family: $font-regular;
		-webkit-border-radius: 0px;
		-moz-border-radius: 0px;
		border-radius: 0px;
		-webkit-box-shadow: none;
		-moz-box-shadow: none;
		box-shadow: none;
		text-shadow: none;
		
		&:hover {
			background: $focus-light-color;
		}
		
		&.disabled:hover {
			background: $grey-lighter-color;
		}
		
		&.active {
			background: $focus-dark-color;
			color: white;
			-webkit-box-shadow: none;
			-moz-box-shadow: none;
			box-shadow: none;
		}
	}
	
	.btn-group {
		> .btn {
			font-size: 13px;
		}
	
		> .dropdown-menu {
			font-size: 13px;
		}
		
		> .popover {
			font-size: 13px;
		}
		
		&.open {
			.btn.dropdown-toggle {
				background: $focus-light-color;
				-webkit-box-shadow: none;
				-moz-box-shadow: none;
				box-shadow: none;			
			}
		}
	}
	
	.control-group {
		margin-bottom: 0px;
	}
	
	.control-label {
		margin-bottom: 0px;
		font-size: 11px;
		font-family: $font-semibold;
		color: $grey-color;;
	}
	
	.dropdown-menu {
		-webkit-border-radius: 0px;
		-moz-border-radius: 0px;
		border-radius: 0px;
		
		> li > a {
			padding: 5px 10px;
			line-height: 15px;
			font-size: 11px;
			font-family: $font-semibold;
			color: $grey-color;;
			
			&:hover {
				background: $focus-color;
				color: $grey-color;;
			}
			
			&:focus {
				background: $focus-color;
				color: $grey-color;;
			}
		}
		
		.dropdown-submenu {
			&:hover > a {
				background: $focus-color;
				color: $grey-color;;
			}
			
			&:focus > a {
				background: $focus-color;
				color: $grey-color;;
			}
		}
	}
	
	/* ---------- Dockbar styles ---------- */
	.dockbar {
		&.navbar {
			margin-bottom: 2px;
			font-size: 12px;

			.navbar-inner {
				background: $focus-dark-color;
				
				.nav > li {
					background: $focus-dark-color;
					
					> a {
						padding: 6px 10px;
						font-weight: 600;
					
						&:hover {
							background-color: $focus-color;
							color: black;
						}
					}
				}
				
				.nav li.dropdown {
					&.open > .dropdown-toggle {
						background-color: $focus-color;
						color: black;
					}
				
					&.user-avatar .user-avatar-image {
						-webkit-box-shadow: 0 0 0 2px $focus-color;
						-moz-box-shadow: 0 0 0 2px $focus-color;
						box-shadow: 0 0 0 2px $focus-color;
					}
					
					.site-administration-menu {
						background: $focus-color;
						
						> li > a {
							color: black;
							font-weight: 600;
							
							&:hover {
								background: $focus-color;
								color: white;
							}
						}
					}
					
					.dropdown-menu {
						background: $focus-color;
						
						li.active > a {
							background: $focus-color;
						}
						
						> li > a {
							color: black;
							font-weight: 600;
						
							&:hover {
								background: $focus-color;
								color: white;
							}
						}
					}
				}
			}
			
			.dockbar-user-notifications {
				&.open {
					.user-notification-link {
						.user-notifications-count {
							background-color: $focus-dark-color;
							border: 1px solid $focus-dark-color;
						}
					}
				}
			
				.user-notification-link {
					padding: 7px 10px !important;
					
					&:hover {
						.user-notifications-count {
							background-color: $focus-dark-color;
							border: 1px solid $focus-dark-color;
						}
					}
					
					.user-notifications-count {
						background-color: $focus-color;
						border: 1px solid $focus-color;
					}
				}
			}
		}
	}

	/* ---------- Navigation styles ---------- */
	#navigation {
		.navbar-inner {
			background: white;
			
			.nav.nav-tabs {
				width: 100%;
				border-bottom: 1px solid $focus-color;

				li {
					&.open {
						a {
							border: 1px solid $focus-light-color;
							border-bottom-color: $focus-color;
							background: $focus-light-color;
						}
					}
					
					&.active {
						a {
							border: 1px solid $focus-color;
							border-bottom-color: white;
							background: white;
							color: $grey-dark-color;
							font-weight: normal;
						}
					}
				
					a {
						color: $grey-light-color;
						font-size: 14px;
					}
					
					.dropdown-menu {
						background: $focus-light-color;
						border: 1px solid $focus-light-color;
						-webkit-border-radius: 0 0 6px 6px;
						-moz-border-radius: 0 0 6px 6px;
						border-radius: 0 0 6px 6px;
						
						a {
							border: 0px;
							background: $focus-light-color;
							color: $grey-dark-color;
							font-size: 12px;
							text-decoration: none;
							
							&:hover {
								color: $grey-light-color;
							}
						}
					}				
				}
				
				> li > a {
					padding: 8px 15px;
				}
				
				> .active > a {
					border: 1px solid $focus-color;
					border-bottom-color: white;
				
					&:hover {
						border: 1px solid $focus-color;
						border-bottom-color: transparent;
					}
					
					&:focus {
						border: 1px solid $focus-color;
					}
				}
			}
		}
	}
	
	/* ---------- Generic navbar styles ---------- */
	.navbar {
		margin-bottom: 15px;
		
		.navbar-inner {
			min-height: 35px;
			background: $grey-lighter-color;
			
			.nav > li {
				> a {
					padding: 10px 15px;
					color: $grey-dark-color;
					
					&:focus {
						background: $focus-light-color;
						color: $grey-dark-color;
					}
					
					&:hover {
						background: $focus-light-color;
						color: $grey-dark-color;
					}
				}
			
				&.active > a {
					background: $focus-dark-color;
					color: white;
					text-shadow: none;
					cursor: default;
					-webkit-box-shadow: none;
					-moz-box-shadow: none;
					box-shadow: none;
					
					&:focus {
						background: $focus-dark-color;
						color: white;
						text-shadow: none;
						cursor: default;
						-webkit-box-shadow: none;
						-moz-box-shadow: none;
						box-shadow: none;
					}
					
					&:hover {
						background: $focus-dark-color;
						color: white;
						text-shadow: none;
						cursor: default;
						-webkit-box-shadow: none;
						-moz-box-shadow: none;
						box-shadow: none;
					}
				}
			}
			
			
			.navbar-search {
				margin: 5px 0px;
			}
		}
	}
	
	.form-search {
		.input-append {
			.search-query {
				border: 1px solid $focus-color;
				font-family: $font-regular;
				-webkit-border-radius: 0px;
				-moz-border-radius: 0px;
				border-radius: 0px;
			}
			
			.btn {
				border: 1px solid $focus-color;
				-webkit-border-radius: 0px;
				-moz-border-radius: 0px;
				border-radius: 0px;
			}
		}
	}
	
	/* ---------- Accordion styles ---------- */
	.accordion-group.lfr-panel-extended {
		margin-bottom: 15px;
		border: 1px solid $focus-color;
		-webkit-border-radius: 0px;
		-moz-border-radius: 0px;
		border-radius: 0px;
		
		.accordion-heading {
			background: $grey-lighter-color;
			
			.accordion-toggle {
				color: $grey-dark-color;
				padding: 8px 15px;
				
				.title-text {
					font-size: 18px;
					font-family: $font-regular;
					font-weight: 400;
				}
			}
		}
	}
	
	/* ---------- Input styles ---------- */
	select, 
	textarea, 
	input[type="text"], 
	input[type="password"], 
	input[type="datetime"], 
	input[type="datetime-local"], 
	input[type="date"], 
	input[type="month"], 
	input[type="time"], 
	input[type="week"], 
	input[type="number"], 
	input[type="email"], 
	input[type="url"], 
	input[type="search"], 
	input[type="tel"], 
	input[type="color"], 
	.uneditable-input {
		height: auto;
		font-size: 13px;
		line-height: 20px;
		color: black;
		margin-bottom: 10px;
	}
	
	/* Input placeholder : Webkit (Safari, Chrome) */
	::-webkit-input-placeholder {
		padding: 3px 0px;
		color: $grey-light-color;
	}
	
	/* Input placeholder : Firefox 4 - 18 */
	:-moz-placeholder {
		padding: 3px 0px;
		color: $grey-light-color;
		opacity: 1;
	}
	
	/* Input placeholder : Firefox 19+ */
	::-moz-placeholder {
		padding: 3px 0px;
		color: $grey-light-color;
		opacity: 1;
	}
	
	/* Input placeholder : IE 10+ */
	:-ms-input-placeholder {
		padding: 3px 0px; 
		color: $grey-light-color;
	}
	
	.cke {
		margin-bottom: 10px;
	}
	
	/* ---------- Tables styles ---------- */
	.table {
		font-size: 13px;
		font-weight: 400;
		-webkit-border-radius: 0px;
		-moz-border-radius: 0px;
		-ms-border-radius: 0px;
		-o-border-radius: 0px;
		border-radius: 0px;
		
		th, td {
			padding: 0px;
		}
		
		.table-columns {
			tr {
				th {
					line-height: 1;
					padding: 10px 10px 9px;
					background-color: $grey-lighter-color;
					color: $grey-color;;
					font-size: 11px;
					font-family: $font-semibold;
				}
			}
		}
		
		.table-data {
			tr {
				.table-cell {
					padding: 7px 10px;
					
					&.first {
						padding-left: 30px;
					}
				}
			}
		}
	}
	
	.lfr-table {
		tr {
			td,
			th {
				padding: 5px 10px;
			}
		}
	}
	
	audio, canvas, video {
		width: 100% !important;
		margin-bottom: 20px;
		background: $grey-dark-color;
	}
}

/*************************
* Responsive : tablet
*************************/
/* @include respond-to(tablet) { */
/* 	.aui #navigation { */
/* 		display: block; */
/* 	} */
	
/* 	#heading { */
/* 		.site-title { */
/* 			.logo img { */
/* 				width: auto; */
/* 			} */
/* 		} */
/* 	} */
/* } */

/*************************
* Responsive : phone
*************************/
/* @include respond-to(phone) { */
/* 	.aui #navigation { */
/* 		display: block; */
/* 	} */
	
/* 	#heading { */
/* 		.site-title { */
/* 			.logo img { */
/* 				width: auto; */
/* 			} */
/* 		} */
/* 	} */
/* } */